---
title: "Bio"
description: "All you wanted to know about the author...or maybe not."
type: "page"
layout: "single"
featured_image: "images/banner.jpg"
omit_header_text: true
toc: true

---

# Bio

## Occupation

What do I do? It's hard to tell even to my peers, but I'll try...

Simplest definition: I am a researcher working in the field of the life sciences. I got a Master's degree in Pharmaceutical Biotechnology, but I've done all but biotechnology since my graduation. In the early days I worked "at the bench", doing what amounted to be work in biochemistry and cellular biology. Then I got a Ph.D. in Molecular Medicine. Although that did not make me any smarter, it was a turning point in my career: I moved from the bench work, lab instruments and reagents to computers. In other words, I became involved in [bioinformatics](https://en.wikipedia.org/wiki/Bioinformatics).

I am currently working as a senior scientist in [the Translational Genomics Unit](http://www.marionegri.it/en_US/home/research_en/dipartimenti_en/oncology/cancer_pharmacology/translational_genomic_unit) at the [IRCCS "Mario Negri" Pharmacological Research Institute](http://www.marionegri.it), a research no-profit, and I'm dealing with the intricacies of data analysis of DNA variation and structure applied to pre-clinical research (that means, before it actually hits the hospitals) in cancer, to investigate "molecular signatures" that could be used either for diagnosis or prognosis, or related to a response to pharmacological treatments.

Getting into more details would make it very technical and boring, but if you're in the field, you can look up my name in specialized search engines like [Google Scholar](https://scholar.google.com/citations?hl=it&user=I0TqfOgAAAAJ&view_op=list_works) if you're more interested. Or [you can view my resume](http://www.dennogumi.org/cv.pdf).

## Free Software

I'm quite involved in Free Software, in particular in [KDE](https://www.kde.org) and [openSUSE](https://www.opensuse.org), but also to other FOSS projects.

### KDE contributions

With regards to KDE. I'm a member of the [KDE Community Forums](https://forum.kde.org) administration staff (also known as the "green guys").  Less frequently I contribute patches to KDE software, and even less frequently I write applications myself, such as [Danbooru Client]({{ site.url }}/projects/danbooru-client/).

### openSUSE contributions

I'm a current member of the community KDE team. My involvement mostly is in packaging KDE software, be it either the KDE Frameworks, or the applications part of the KDE Release Service.

### Other FOSS projects

I contributed significant code to the [bcbio-nextgen](https://github.com/chapmanb/bcbio-nextgen/) as part of my research work, in particular the initial implementation for tumor-normal paired somatic variant calling. Other smaller contributions to projects include [GEMINI](https://gemini.readthedocs.org) and [pandas](https://pandas.pydata.org) (earlier versions).
