---
categories:
- general
- science
comments: true
date: 2021-02-25 23:19:33+01:00
disable_share: true
draft: false
featured_image: /images/banner.jpg
omit_header_text: true
tags:
- general
- science
title: Partings
summary: 'Because changes occur when one least expects them. This post is about one such change.'
---

{{< figure src="/images/2021/02/badge.jpg" alt="Image of my work badge" >}}

わかれてふ事はいろにもあらなくに心にしみてわびしかるらむ

(Parting / has no hue / and yet / it stains deep within our hearts / this sorrow.)

(古今和歌集, Koshinwakashu, Book VIII, 381; Translation by Dr.Thomas McAuley, <http://www.wakapoetry.net/>)

Today marks yet another turning point in the flow of the events: it was my last day at the Mario Negri Institute after a period of approximately ten years (I joined as a post-doctoral fellow on March 1st, 2011, and got a permanent position at the end of 2015). This was far longer than my previous engagements (usually between three and four years) and at times I thought that I might have "settled".

Well, among the things I am truly bad at, foretelling is one of them. In more recent times, a brand new opportunity arose for the group I work in: an opportunity quite hard to miss, to be honest. And so, starting from March 1st, I'll be working in a brand new group (Cancer Pharmacology), although with more or less the same colleagues and even leaders and PIs (as I stated earlier, most of the group I was in moved as well) at the [Humanitas University](https://www.hunimed.eu/), part of the [Humanitas Research Hospital](https://www.humanitas.it).

Since I cannot really know the future, I'll just throw some reflections on the past ten years. I know it sounds trite and you've probably seen these fake-sounding texts all the time, but I honestly think the time spent at the Mario Negri Institute was deeply influential for my research career and attitude. In particular I think the lesson learnt from the institute's founding principles, as outlined by Prof.Silvio Garattini's last lecture as director, is still as valid as today as when the institute was founded in 1961. These are teachings that I'll carry around, no matter where I'm going.

Just like the years I spent as postdoc in Firenze (in Duccio Cavalieri's group, a person whom I consder my master and mentor), what I did at Mario Negri in these years was very important for my journey through the improvement of how to observe, think, and execute research. I learnt a lot of new stuff, had lots of ideas (most wrong, but a few of them good) and even had the pleasure of seeing people that I once coached starting off on their own at top speed.

I know, I'm writing this while most of the people I know *are* leaping off the platform as well. But I still want to say thankful for the discussions (some even rather heated), the support and the general interactions that occurred through the years. And this applies to present colleagues and past colleagues too (hi, Chiara!). You've been alll a tremendous help and support.

And now... well, some of the old, some of the news. Familiar faces but also new faces. Old paths and new paths at the same time. Familiar yet unknown places. A few knowns but a lot more unknowns. I'm not going to make predictions this time!

And as a parting line, I quote again the Koshinwakashu, this time with a poem on travel (translation by Dr.Thomas McAuley of <http://www.wakapoetry.net>):

ほのぼのと明石の浦の朝霧に島がくれ行く舟をしぞ思ふ

(In the gloaming / across Akashi Bay / Through the morning mists / Vanishing between the islands / I follow a boat with my thoughts)
