---
categories:
- Anime
comments: true
date: 2021-06-13 00:26:43+01:00
disable_share: true
toc: true
draft: false
featured_image: /images/2021/02/dancougar-resized2.png
omit_header_text: true
tags:
- general
- anime
title: 'Blast from the past: 超獣機神ダンクーガ (Super Beast Machine God Dancougar)'
summary: "After quite a long time, I was finally able to take a look at this series: a rather atypical mecha show that despite some bad production, still manages to be interesting."
---

{{< figure src="/images/2021/02/dancougar-logo.png">}}

<blockquote>
    <p class="f5 lh-copy">獣を超え、(Rise beyond beasts,)<br />
    人を超え、(Rise beyond men,)<br />
    そして、今神になる・・・(And now, become a god...)<br />
    それが究極のマシン、(That is the ultimate machine,)<br />
    超獣機神ダンクーガ！！ (Super Beast Machine God Dancougar!!)<br />
</blockquote>

This is the iconic, and undoubtedly over-the-top, quote from the anime this post is about, 超獣機神ダンクーガ, that is *Super Beast Machine God Dancougar*.

To be honest, *Dancouga* would be probably a better spelling, since it's a play on the kanji 断空我 (which are read as *dan-kuu-ga*), and according to the series, they mean "我を空にして煩悩を断つ" (*Empty the self and break off from the worldly desires*), supposedly inspired by Zen (but it's actually just made up, as far as I can tell).

I've been interested in the series for the past 30 (!) years, but I've never had the occasion to watch it properly (save for a handful episodes around that time, but I didn't know a single word of Japanese back then). The occasion presented itself recently, so, like [my previous post on Galaxy Angel](/2011/05/a-retrospective-view-galaxy-angel/) I'm making a retrospective post about it.

## What is this series about?

Dancougar is a giant mecha anime which aired on TV (TBS) from April 5th to December 27th 1985, totalling a total of 38 episodes, animated by Ashi Production (葦プロダクション). Due to bad ratings, the series was cut short of the last episode. Thanks to a campaign from the fans, the actual ending was added as part of a "summary" OAV which recapped the whole series, 失われた者たちへの鎮魂歌（レクイエム）(*Requiem for the fallen*), with the English title of *Requiem for Victims*, out in april 1986.

A second OAV (originally planned to be a theatrical release), *GOD BLESS DANCOUGA*, was released roughly a year later. Lastly, a series of 4 OAVs were released between 1989 and 1990, with the title 白熱の終章 (the *blazing last chapter* or *blazing ending*).

## The TV series

### Plot and characters

The basic premise of the plot in Dancougar is not different from any "regular" mecha show from earlier times: the extraterrestial Muge Zorbados Empire, led by Emperor Muge, has set its sights on Earth as a new target for its interstellar campaign of conquest. Muge's soldiers, thanks to their superior technology, quickly obliterate the regular troops from Earth, but resistance movements throughout the world push back against total submission.

{{< multithumb "images/2021/03/dancougar-001.png" "images/2021/03/dancougar-002.png" >}}

That's when the four main characters and members of the military (Shinobu Fujiwara, Sara Yuki, Masato Shikibu and Ryo Shiba) step in. Over time (Shinobu being the first and Ryo the last) they're recruited in the 獣戦機隊 (*juu-senki-tai*, often translated as *Cyber Beast Force*), a special unit located in Japan (what a surprise!), led by General Ross Igor and Prof.Kotaro Hazuki. They're then given specialized battle machines designed by Hazuki himself (Eagle Fighter, a fighter jet; Black Cougar, a medium armored tank; Land Liger, a tank similar to Black Cougar but with different armament; Big Moth, a heavy tank) and asked to assist the resistance force around the world.

Being a mecha show, these machines aren't exactly what they seem. "Strong" feelings from their pilots (rage, basically) can trigger a special circuit and transform them into the animal they take the name from. So the Eagle Fighter gets an aura and can cut through enemies like a blade, the Black Cougar and the Land Liger turn into (who could've guessed) a cougar and a liger, and the Big Moth, contrary to public expectations, does *not* turn into a giant moth, but instead a mam*moth*.

Aside the usual army of nameless mecha, drones and flying ships from Muge Zorbados, the unit has to battle against the strength of the three generals appointed from the Emperor himself: Death Gaia, a "level to the ground then ask questions" guy; Gil Dorom, a master of mind tricks and manipulation; and Helmut, a strong and incredibly cruel warrior. To make matters worse, a cunning officer with unlimited ambition (and Sara's fianceé), Shapiro Keats, defects and quickly gains a command position in the invasion force.

### Slow paced progression

"Well, what about the mecha?" you might ask. Well... that's one of the features that makes this series unique, in my view. Despite being shown in the opening since episode 1, the robot that gives the name to the series does **not** appear until the sixteenth episode. And what would the reason be?

The reason is that the series does quite a slow build up of the story and the characters, which then are ready to be given their toy of mass destruction. This is markedly different from other classic robot shows: although some don't feature the main mecha in the first episodes (like *Golion*, *Daltanious*, and *Zambot 3* to name a few), once it comes into play it basically monopolizes the episodes, save for notable exceptions.

This is not the case of Dancougar. First the characters are given their vehicle and the possibility to turn them into the animals they are named after (the so-called *Aggressive Beast Change*). A number of episodes later, they gain the ability of turning into proper robots (*Humanoid Mode*). It's interesting to note that the mechas in Humanoid Mode do *not* have melee weapons common in many mecha shows, and instead rely on more conventional weaponry such as guns. The only exception is Ryo's Big Moth, which can occasionally engage enemies in hand-to-hand combat. This is nothing new, but a little more surprising as Dancougar is closer to the "classic" genre than to the "realistic" one (think *Gundam*).

And then the main mecha is introduced in a two-part episode, with a very nice BGM (灼熱の怒り, or *burning rage*). There's also another (small) element of novelty: the head is **not** the part that connects last during the assembly.

Lastly, the Dancougar basically has no weapons, a difference from many mecha shows: it basically relies on brute strength to destroy its enemies, occasionally with a large cannon. The only other upgrade that it gets is a flight unit, which is basically shown only in the last episodes.

It must be noted that this progression is not limited to the mecha but also to the characters themselves, including new ones, which are slowly introduced during the series. This makes the journey quite enjoyable, although it must be said that there are, especially in the early epsiodes, many episodes that are almost literally copy-pasted from each other. Nevertheless, it is nice to see some adjustments in the characters, with some themes progressing through several episodes.

### Climax and ending

After the Dancougar is introduced, the events in the series "somewhat" accelerate (there are still some fillers here and there), with a further two-part episode which introduces the mobile base Gundor and the final objective to put an end to the war agaisnt the Muge Zorbados Empire. The last episodes are a series of hard confrontations between the characters and their enemies, first on Earth then in space, until it's time to actually go against Emperor Muge himself.

And that's where the series ends. Seriously: it ends (pretty frustratingly) one episode before its natural conclusion, due to the bad ratings (as I mentioned earlier). It would be a bummer, but luckily the OAV that came out a few months later provides a satisfying ending (more on that later).

### Animation, voices and sound

To be frank, Dancougar is *plagued* by production problems. These were also present years later with its remake *Dancougar Nova*, so I think it's probably a systemic problem of Ashi Production. Keeping in mind we're talking about the mid-1980s here (so we can't expect anything spectacular animation-wise, at least in a TV series), the animation quality fluctuates from acceptable to *downright terrible* as shown in a few images below:

{{< multithumb "images/2021/03/dancougar-003.png" "images/2021/03/dancougar-004.png" >}}

It's clear that at some point cuts were made because certain scenes couldn't be animated: in one episode, where the Dancougar fights a Muge mech in the water, one can't literally understand what was going on because the scenes are too disjointed. The assembly sequence of the Dancougar is not even complete in the episode it appears, and the one for the flight unit only properly appears in the **last episode** (earlier replaced with tacky close-ups of Shinobu's face).

Nevertheless, during the action scenes it is *mostly* OK and does its job. While nothing particularly innovative, the character design by いんどり小屋 (*Indorigoya*, company now known as Studio Live) does what it is intended to do. A note goes to the voice actors: almost all of them perform admirably (except perhaps Helmut, who is a little over the top even for being a psycopath), *except* one, who is voiced by Rie Fujiwara, who sings the two opening songs (愛よファラウェイ, *Love is far away* and ほんとのキスをお返しに, *In return for a real kiss*). She does quite a poor impression of the character she's voicing (a bit like the early episodes of Shoji Kawamori's *AKB0048*, if you remember that series), and her tone is all over the place. Luckily, said character's screen time is limited (despite a major presence in the opening animation).

Music is fairly good in my opinion, although it depends whether you like or dislike the music taste of the 1980s. Osamu Totsuka and Takeshi Ike did a nice job on both the BGMs and the songs. As for effects, it's standard 1980s stuff: the sounds of explosions are particularly telling on that regard.

### Well well... is this series any good?

Despite its age and its ups and downs on animation (and occasionally trite plot lines), the TV series is definitely worth watching. It's not *Gundam*, but also not *Mazinger*, and for some aspects it shows some originality without trying to be original all the time. Of course the ending would be *bad* by itself, but luckily the subsequent OAV made it much better.

## A closure: *Requiem for Victims*

As said before, the series did not really end: in fact, it stops short of a climactic finale. The OAV that came out shortly afterwards tries to correct that, while providing a summary of the whole thing for those not too familiar with the TV series.

### Quick summary of the story

The OAV starts right where the series ended, and characters reminisce about what brought them there. Then, the subsequent 50 minutes or so are a whole recap of the series (using the previously animated footage of course) which cover the main events that transpired. Then the perspective goes back to Shinobu and the gang, as they approach Emperor Muge for a final showdown.

{{< multithumb "images/2021/03/dancougar-006.png" "images/2021/03/dancougar-005.png" >}}

The story not only gives a proper ending to the series, but it does do that satisfyingly. The final fight is a bit rushed like it happens in most mecha shows but the action scenes before that are nicely directed. Surprisingly, it's also the only time where the Dancougar wields a giant mecha-esque weapon, namely a large sword called ダンクー剣 (Dancou-Sword), but although it is used quite stereotypically, it fits in the narrative of the story.

After viewing the OAV, there is definitely a sense of closure, which was missing from the original series.

### Animation and sound

Of course, I won't count the recycled scenes from the series, but being an OAV, *Requiem for Victims* is much better done, probably due to longer time constraints and hopefully a higher budget.

{{< multithumb "images/2021/03/dancougar-007.png" "images/2021/03/dancougar-008.png" >}}

This also means that the scenes (as I mentioned earlier) are far more dynamic than the TV series. I can imagine that the animators had a hard time, due to the complexity of the Dancougar's design.

Sound-wise, there's nothing to report. Basically most of the music is from the series (the opening and endings are also from there) and I did not notice anything different.

{{< multithumb "images/2021/03/dancougar-009.png" "images/2021/03/dancougar-010.png" >}}

### Overall comments

This OAV is a must watch if you saw the series, otherwise you won't be able to see the story in full. The fact that it is also (in my opinion) even nicely done is quite a plus.

## GOD BLESS DANCOUGA

### Plot and other assorted bits

This one hour and twenty minutes long OAV was originally meant to be a theatrical release, and it shows clearly from the first moment it starts: the way the story is told, the camera angles and the way the scenes are mounted are more fit for a film than a regular OAV. Story-wise, it is set a bit after the end of the series, and it tells a completely new, self-contained story with little relationship to the TV series plot. In some aspects, it feels like what would be called a 外伝 (*gaiden* or side story), which was also seen in some series later on (鎧伝サムライトルーパー, *Yoroi den Samurai Troopers*, for example).

{{< multithumb "images/2021/03/dancougar-011.png" "images/2021/03/dancougar-012.png" >}}

The story revolves around some strange happenings around a super-computer which is regulating the life of the citizens in the city where Shinobu and the others are (some members of the squad, like Ryo, are still working in the military, while others are on leave). Apparently not everyone is happy about this, as a mysterious terrorist group often launches attacks against the infrastructure which controls this over-reaching system. After Sara meets an ex-team mate, now in high position in the administration of said super-computer, the whole situation gets messy as the squad is framed and arrested.

Rescue comes from an unexpected group of people, and then it's time to board the machines, form the Dancougar and fight the real mastermind behind the mess.

{{< multithumb "images/2021/03/dancougar-013.png" "images/2021/03/dancougar-014.png" >}}

Story wise *GOD BLESS DANCOUGA* is enjoyable, although a little puzzling at times (a certain character appears all of a sudden and there's just a single line of dialogue that gives no explanation). But if you don't look for over-complicated plots, it surely is fun enough to warrant the time spent watching it.

### Animation and sound

Given the original target it's not surprising that the animation quality reaches the highest point seen for the whole production. It's well done (remember though, these are the 1980s!) and nicely animated, including the action scenes with the mecha (there are two) and also with the characters themselves (a lot more). Disappointingly (for me, at least), the assembly sequence of the Dancougar was redone and it is a lot more "classic", in the sense that the head goes last, and while it is technically far better than the one seen in the series, it is not as "nice", subjectively speaking.

On the sound front, the BGMs are the same from the series but they have all redone from scratch, so the quality and the ambience is definitely better. There are new opening and ending songs, rather obviously, 愛は奇蹟 (*Love is a miracle*) for opening and 素直になりたい (*I want to become honest [with myself]*), ordinary run-of-the-mill tunes that (at least in my opinion) were nothing special.

### God bless the verdict

It's fun, and that's what matters. There's nothing much else to say that I recommend taking a look at it if you've watched both the series and Requiem for Victims

## A candle, not a fire: the "blazing" ending

I admit... what I'll be writing is heavily biased: I couldn't bring myself to watch this four-part OAV in full. The reason? It follows the "grimdark" pattern for remakes that all popped during the late 1980s and early 1990s, such as Tatsunoko Production's re-imagining of *Casshern* and *Hurricane Polymer* from the same period (while *Tekkaman Blade* was an exception to this rule).

{{< multithumb "images/2021/03/dancougar-015.png" "images/2021/03/dancougar-016.png" >}}

The problem is that when applied to characters that *weren't* meant to be like that, it turns them into caricatures of their former selves. In the first OAV we see Shinobu go all emo for no reason at all (he doesn't even *speak* for most of it!) then he suddenly changes his mind (but why?): this is completely incoherent with the previous portrait of the character. Also, Masato also suffers from this change, and really becomes down right ridicolous, especially in later episodes. And the new character design is kind of dull and doesn't really suit the main characters.

And while we're speaking of the art: the Dancougar was redesigned to be "simpler", because it was hard to animate, and it looks *nothing* like what was seen before, and frankly, a lot duller. In addition, the assembly sequence was even directly copied from *GOD BLESS DANCOUGA* without any change...

{{< multithumb "images/2021/03/dancougar-017.png" "images/2021/03/dancougar-018.png" >}}

The fights, up to the part I've seen, are uninspiring and uninteresting, and at the same time some characters either do not appear or are put out of commission with the power of the Plot Device&trade;. After the second episode, I couldn't put up with it anymore and shelved the whole thing. To me, it did not even exist: that's how much I was disappointed by it.

## Overall conclusions

This post took quite a while to write (I started in March!) but I hope it provides a comprehensive overview of an old series that while it went under the radar, it deserves recognition for the different approach it took to mecha shows. Therefore, as you may have noticed from the recommendations in the individual sections, I suggest you take a look at it: you won't be disappointed (but just skip those last four OAVs, please).

And let's wrapt this post up with another catchphrase of the series, from Shinobu himself:

<quote>やってやるぜ！ (Let's do it!)</quote>

